Blacklist - Remove Item API

Important Notice:

  • All request and response parameters are strictly subject to the official API documentation.
  • The API response may contain fields not defined in the documentation. These fields are for internal debugging purposes only and are not guaranteed to be stable or compatible. Do not rely on these fields in production environments. ZOLOZ reserves the right to modify or remove these fields at any time without prior notice.

POST /api/v1/zoloz/blacklist/removeitem

This API is used to delete an item from a target list. This API is idempotent.

Structure

Request parameters

Field name

Data type

Max length

Description

bizId

String

32

Mandatory. A unique ID maintained by client for tracing purpose.

Note: ZOLOZ server does not perform uniqueness check on this field. For better tracking, it is strongly recommended client guarantee the uniqueness of this ID.

itemType

String

8

Required. Specify the type of the item to be removed.

Valid values include:

  • FACE : Face blacklist
  • DEVICE : Device blacklist
  • CERT : Certificate number blacklist

itemId

String

64

Mandatory. The ID of the item to be removed.

Response parameters

Field name

Data type

Description

result

Result

Contains the result code, result status, and a result message.

removedItemId

String

Available if the item is removed successfully.

Result

Common result codes

For the full list of common result codes, see the Common error codes section in the Error handling topic.

API-specific result codes

The following table shows the possible result codes that are specific for this API.

resultCode

resultStatus

Description

SUCCESS

S

The API call is successful.

INVALID_ARGUMENT

F

Input parameters are invalid. For more information about which parameter is invalid, check the result message or the related log.

BLACKLIST_ITEM_NOT_FOUND

F

The requested item does not exist.

SYSTEM_ERROR

F

Other internal errors. For more information about the error details, check the result message that is returned and the related log.

Sample

Request sample

Here is an example request to remove a FACE item.

copy
{
  "bizId": "some-random-biz-id",
  "itemId": "86451b883c80372",
  "itemType": "FACE" 
}

Response Sample

Here is an example when item is removed successfully.

copy
{
  "removedItemId":"86451b883c80372",
  "result":{
    "resultCode":"SUCCESS",
    "resultMessage":"Success",
    "resultStatus":"S"
  }
}